# $Revision: 1.10 $, $Date: 2011/06/26 19:52:07 $
Summary:	Myth TV library based upon GLib/GObject paradigm
Summary(pl.UTF-8):	Biblioteka Myth TV oparta na paradygmacie GLib/GObject
Name:		gmyth
Version:	0.7.1
Release:	5
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/gmyth/%{name}-%{version}.tar.gz
# Source0-md5:	ab6b7525fd9c71cf5203f9e61abec0c3
Patch0:		%{name}-link.patch
Patch1:		%{name}-curl.patch
URL:		http://gmyth.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gstreamer-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Myth TV library based upon GLib/GObject paradigm.

%description -l pl.UTF-8
Biblioteka Myth TV oparta na paradygmacie GLib/GObject.

%package devel
Summary:	Header files for gmyth library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gmyth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	glib2-devel >= 2.0
Requires:	libxml2-devel >= 2.0

%description devel
Header files for gmyth library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gmyth.

%package static
Summary:	Static gmyth library
Summary(pl.UTF-8):	Statyczna biblioteka gmyth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmyth library.

%description static -l pl.UTF-8
Statyczna biblioteka gmyth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/gmyth-cat
%attr(755,root,root) %{_bindir}/gmyth-ls
%attr(755,root,root) %{_libdir}/libgmyth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmyth.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmyth.so
%{_libdir}/libgmyth.la
%{_includedir}/gmyth
%{_pkgconfigdir}/gmyth.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmyth.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmyth.spec,v $
Revision 1.10  2011/06/26 19:52:07  arekm
- rel 5; don't include curl/types.h, doesn't exist

Revision 1.9  2011/05/16 13:27:03  arekm
- release 4

Revision 1.8  2011/01/31 08:55:20  arekm
- release 3

Revision 1.7  2009/09/26 17:41:45  patrys
- rel 2

Revision 1.6  2008/07/23 15:49:20  patrys
- 0.7.1

Revision 1.5  2008-02-21 20:17:10  qboosh
- ghost soname symlink
- updated link patch to fix linking with libgthread
- release 2

Revision 1.4  2008-02-21 13:20:34  patrys
- 0.7

Revision 1.3  2007-11-18 18:20:36  arekm
- rel 3

Revision 1.2  2007-09-06 16:22:35  baggins
- rel 2

Revision 1.1  2007/06/24 17:56:34  qboosh
- new
